This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 764081 - (GLUSTER-2349) replace-brick does not happen
replace-brick does not happen
Status: CLOSED NOTABUG
Product: GlusterFS
Classification: Community
Component: cli (Show other bugs)
3.1.2
All Linux
medium Severity medium
: ---
: ---
Assigned To: Amar Tumballi
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-02-01 05:39 EST by Saurabh
Modified: 2015-12-01 11:45 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: RTNR
Mount Type: ---
Documentation: DNR
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Anush Shetty 2011-02-01 02:48:54 EST
Did you do " volume replace-brick <VOLNAME> <BRICK> <NEW-BRICK> commit"?
Comment 1 Saurabh 2011-02-01 05:39:08 EST
I am using a distribute-replicate volume and trying to replace a brick
details are here,
gluster> volume info repdist

Volume Name: repdist
Type: Distributed-Replicate
Status: Started
Number of Bricks: 3 x 2 = 6
Transport-type: tcp
Bricks:
Brick1: domU-12-31-39-10-76-40.compute-1.internal:/mnt/repdist
Brick2: domU-12-31-39-0A-31-D2.compute-1.internal:/mnt/repdist
Brick3: domU-12-31-39-00-C9-C2.compute-1.internal:/mnt/repdist1
Brick4: domU-12-31-39-16-F9-F5.compute-1.internal:/mnt/repdist1
Brick5: domU-12-31-39-10-76-40.compute-1.internal:/mnt/repdistadd
Brick6: domU-12-31-39-10-76-40.compute-1.internal:/mnt/repdistadd2
gluster> 

______________________________________________________________________


gluster> volume replace-brick
Usage: volume replace-brick <VOLNAME> <BRICK> <NEW-BRICK> {start|pause|abort|status}

gluster> volume replace-brick repdist domU-12-31-39-10-76-40.compute-1.internal:/mnt/repdistadd domU-12-31-39-10-76-40.compute-1.internal:/mnt/repdistadd3 start
replace-brick started successfully

gluster> volume replace-brick repdist domU-12-31-39-10-76-40.compute-1.internal:/mnt/repdistadd domU-12-31-39-10-76-40.compute-1.internal:/mnt/repdistadd3 status
replace-brick status unknown
gluster> volume info repdist

Volume Name: repdist
Type: Distributed-Replicate
Status: Started
Number of Bricks: 3 x 2 = 6
Transport-type: tcp
Bricks:
Brick1: domU-12-31-39-10-76-40.compute-1.internal:/mnt/repdist
Brick2: domU-12-31-39-0A-31-D2.compute-1.internal:/mnt/repdist
Brick3: domU-12-31-39-00-C9-C2.compute-1.internal:/mnt/repdist1
Brick4: domU-12-31-39-16-F9-F5.compute-1.internal:/mnt/repdist1
Brick5: domU-12-31-39-10-76-40.compute-1.internal:/mnt/repdistadd
Brick6: domU-12-31-39-10-76-40.compute-1.internal:/mnt/repdistadd2


effectively replace-brick does not happen.
Comment 2 Amar Tumballi 2011-02-06 23:25:51 EST
Saurabh,

You have to do 'replace-brick .... commit' before that new configuration taking effect. Please re-open this bug if you see if its not happening after you do the commit also.

Note You need to log in before you can comment on or make changes to this bug.